### Method

# GIRepository Typelib ref

since: 2.80

#### Declaration [src]

    GITypelib*
    gi_typelib_ref (
      GITypelib* typelib
    )

#### Description [src]

Increment the reference count of a `GITypelib`.

Available since: 2.80

#### Return value

Type: `GITypelib`

The same `typelib` pointer.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.